import numpy
import math
import string
import random


lower_upper_alphabet = string.ascii_letters
lower_alphabet = string.ascii_lowercase
upper_alphabet = string.ascii_uppercase
for i in list(range(10)) :
 print(r"\element{distances-cours}{\begin{questionmult}{distances-cours-quest" + str(i) + "} \hfill " )
 M,N=random.sample(upper_alphabet,2)
 print(r"$"+M+"(x_{"+M+"};y_{"+M+"})$")
 print(r"et $"+N+"(x_{"+N+"};y_{"+N+"})$ sont")
 print(r"deux points d' un rep\`ere orthonorm\'e $(O;I,J)$.")
 print(r"Quelle est la longueur du segment $["+M+""+N+"]$ ?")
 print(r"\begin{multicols}{2}\AMCBoxedAnswers")
 print(r"    \begin{reponses}")
 print(r"        \mauvaise{$(x_{"+N+"}-x_{"+M+"})+(y_{"+N+"}-y_{"+M+"})$}")
 print(r"        \bonne{$\sqrt{(x_{"+N+"}-x_{"+M+"})^2+(y_{"+N+"}-y_{"+M+"})^2}$}")
 print(r"        \mauvaise{$\sqrt{(x_{"+N+"}+x_{"+M+"})^2-(y_{"+N+"}+y_{"+M+"})^2}$}")
 print(r"        \mauvaise{$\sqrt{(x_{"+N+"}-y_{"+N+"})^2+(x_{"+M+"}-y_{"+M+"})^2}$}")
 print(r"        \bonne{$\sqrt{(x_{"+M+"}-x_{"+N+"})^2+(y_{"+M+"}-y_{"+N+"})^2}$}")
 print(r"        \mauvaise{On ne peut pas r\'epondre}")
 print(r"    \end{reponses}")
 print(r"\end{multicols}")
 print(r"\end{questionmult}")
 print(r"}")
